package edu.sc.seis.gee.task;

import java.util.HashMap;
import java.util.Map;
import javax.swing.ButtonGroup;

/**
 * ButtonGroupManager.java
 *
 *
 * Created: Fri Feb 22 15:58:59 2002
 *
 * @author <a href="mailto:crotwell@pooh">Philip Crotwell</a>
 * @version
 */

public class ButtonGroupManager {

    private ButtonGroupManager (){
	
    }
    
    public static ButtonGroup get(String id) {
	if ( ! groups.containsKey(id)) {
	    groups.put(id, new ButtonGroup());
	} // end of if (groups.containsKey(id))
	return (ButtonGroup)groups.get(id);
    }

    private static Map groups = new HashMap();

}// ButtonGroupManager
